SwaggerDataProvider::SwaggerDataProvider Class Reference

The Swagger data provider class. More...

Inherits AbstractDataProvider.

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (SwaggerSchema schema, *RestClient rest)
| Creates the object from the arguments.
string | getName ()
| Returns the data provider name.

## Public Attributes

const | ConstructorOptions = ...
| Constructor options.
const | HttpMethods = ...
| Hash of HTTP Methods.
const | ProviderInfo = ...
| Provider info.
*RestClient | rest
| The REST client object for API calls.
SwaggerSchema | schema
| The Swagger schema.
string | uri_path = "/"
| current URI path

## Protected Member Functions

| checkRestClient (RestClient rest)
| Checks the REST client.
| constructor (hash< auto > path_tree, string uri_path, SwaggerSchema schema, *RestClient rest)
| Private constructor; used when traversing the tree.
AbstractDataProvider | getChildIntern (string name, *string real_name)
| Returns the child provider for the given path component.
*AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or NOTHING if the given child is unknown. More...
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any. More...
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Protected Attributes

hash< auto > | path_tree
| hash of valid paths

## Detailed Description

The Swagger data provider class.

## Member Function Documentation

## getChildProviderImpl()

*AbstractDataProvider SwaggerDataProvider::SwaggerDataProvider::getChildProviderImpl | ( | string | name | ) |

protected

Returns the given child provider or NOTHING if the given child is unknown.

Returns
  the given child provider or NOTHING if the given child is unknown

See also
  getChildProviderEx()

## getChildProviderNamesImpl()

*list<string> SwaggerDataProvider::SwaggerDataProvider::getChildProviderNamesImpl | ( |  | ) |

protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any